> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Master-Passwort aktualisieren

> Rename a master password under the path account.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.de.json PATCH /v1/public/accounts/{account_id}/credentials/{credential_id}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/credentials/{credential_id}:
    patch:
      tags:
        - public-accounts
        - public-credentials
      summary: Master-Passwort aktualisieren
      description: Rename a master password under the path account.
      operationId: >-
        update_public_credential_v1_public_accounts__account_id__credentials__credential_id__patch
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: credential_id
          required: true
          schema:
            format: uuid
            title: Credential Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CredentialUpdateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CredentialDTO'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validierungsfehler
      security:
        - PublicBearerAuth: []
components:
  schemas:
    CredentialUpdateRequest:
      description: Anfrage zum Umbenennen eines Master-Passworts.
      properties:
        name:
          description: Anzeigename des Master-Passworts
          maxLength: 100
          minLength: 1
          title: Name
          type: string
      required:
        - name
      title: CredentialUpdateRequest
      type: object
    CredentialDTO:
      properties:
        created_at:
          description: Erstellungszeitstempel des Master-Passworts
          title: Erstellt At
          type: string
        id:
          description: Master-Passwort-UUID
          format: uuid
          title: ID
          type: string
        name:
          description: Anzeigename des Master-Passworts
          title: Name
          type: string
        scope_id:
          description: Ressourcen-UUID für den Bereich des Master-Passworts
          format: uuid
          title: Bereichs-ID
          type: string
        scope_type:
          description: Ressourcenbereichstyp, in dem das Master-Passwort gilt
          enum:
            - account
            - workspace
            - domain
          title: Scope Typ
          type: string
        updated_at:
          description: Zeitstempel der letzten Aktualisierung des Master-Passworts
          title: Aktualisiert am
          type: string
      required:
        - id
        - name
        - scope_type
        - scope_id
        - created_at
        - updated_at
      title: CredentialDTO
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Standort
          type: array
        msg:
          title: Nachricht
          type: string
        type:
          title: Fehler Typ
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````